import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import _extends from "@babel/runtime/helpers/esm/extends";
import * as TextStories from './Text.stories.mdx';
import { generateChromaticStory, responsivePropsStoryLabel } from '../../chromatic/utils';
import React from 'react';
import Text, { TEXT_ALIGN, TEXT_SIZE, TEXT_TRANSFORM, TEXT_WEIGHT } from './Text';
import hex from '../colors/hex';
import Flex from '../flex/Flex';
export var ResponsiveProps = function ResponsiveProps(args) {
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("h3", {
    className: "component__story-name"
  }, responsivePropsStoryLabel('size', [TEXT_SIZE.SMALL, TEXT_SIZE.XXLARGE, null, TEXT_SIZE.XXXLARGE])), /*#__PURE__*/React.createElement(Text, _extends({
    size: [TEXT_SIZE.SMALL, TEXT_SIZE.XXLARGE, null, TEXT_SIZE.XXXLARGE]
  }, args), "Test"), /*#__PURE__*/React.createElement("h3", {
    className: "component__story-name"
  }, responsivePropsStoryLabel('weight', [TEXT_WEIGHT.BOLD, null, TEXT_WEIGHT.REGULAR])), /*#__PURE__*/React.createElement(Text, _extends({
    weight: [TEXT_WEIGHT.BOLD, null, TEXT_WEIGHT.REGULAR]
  }, args), "Test"), /*#__PURE__*/React.createElement("h3", {
    className: "component__story-name"
  }, responsivePropsStoryLabel('transform', [TEXT_TRANSFORM.UPPERCASE, null, TEXT_TRANSFORM.LOWERCASE])), /*#__PURE__*/React.createElement(Text, _extends({
    transform: [TEXT_TRANSFORM.UPPERCASE, null, TEXT_TRANSFORM.LOWERCASE]
  }, args), "Test"), /*#__PURE__*/React.createElement("h3", {
    className: "component__story-name"
  }, responsivePropsStoryLabel('align', [TEXT_ALIGN.JUSTIFY, null, TEXT_ALIGN.CENTER, TEXT_ALIGN.RIGHT])), /*#__PURE__*/React.createElement("div", {
    style: {
      width: 400
    }
  }, /*#__PURE__*/React.createElement(Text, _extends({
    align: [TEXT_ALIGN.JUSTIFY, null, TEXT_ALIGN.CENTER, TEXT_ALIGN.RIGHT]
  }, args), "Aliquip sit pariatur laboris in aliqua. Enim esse eu est nisi eiusmod minim deserunt ut cupidatat dolore velit deserunt nisi. Enim in anim aute non.")), /*#__PURE__*/React.createElement("h3", {
    className: "component__story-name"
  }, responsivePropsStoryLabel('full', [true, null, false, true])), /*#__PURE__*/React.createElement(Flex, {
    fullWidth: true
  }, /*#__PURE__*/React.createElement(Text, _extends({
    full: [true, null, false, true]
  }, args, {
    style: {
      backgroundColor: hex['gray-40']
    }
  }), "Aliquip sit pariatur laboris in aliqua.")), /*#__PURE__*/React.createElement("h3", {
    className: "component__story-name"
  }, responsivePropsStoryLabel('noWrap', [true, false, null, true])), /*#__PURE__*/React.createElement("div", {
    style: {
      border: '1px solid gray',
      width: '400px'
    }
  }, /*#__PURE__*/React.createElement(Text, _extends({}, args, {
    noWrap: [true, false, null, true]
  }), "Aliquip sit pariatur laboris in aliqua. Enim esse eu est nisi eiusmod.")));
};
ResponsiveProps.parameters = {
  chromatic: {
    viewports: [680, 900, 1100, 1500]
  }
};

var _TextStories$default = TextStories.default,
    includeStories = _TextStories$default.includeStories,
    meta = _objectWithoutProperties(_TextStories$default, ["includeStories"]);

export var Default = generateChromaticStory(TextStories);
export default meta;